Rendering

API for updates on renderings

This API can be used to update comments on renderings

PATCH/api/renderings/{id}

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Path Parameters

id
stringrequired

Rendering identifier

Request Body

application/json
required

The updated Rendering resource

{
  "id": 12345,
  "externalId": "external-id",
  "template": "my-invoice",
  "format": "pdf",
  "webhook": "my-webhook",
  "comment": "My Comment",
  "emailServer": "my-smtp"
}

Response

200application/json

Rendering resource updated

id
integer

Identifier generated by Output.Rocks.

Example: 12345

externalId
string

External id

Example: "external-id"

template
stringrequired

Template identifier.

Example: "my-invoice"

format
enum<string>

Document format to render

Available options: pdfdocodtrtfhtmltxt

Example: "pdf"

webhook
string

Webhook (identifier) to execute after document rendering.

Example: "my-webhook"

comment
string

Rendering Comment.

Example: "My Comment"

emailServer
string

Identifier of Email-Server configuration in Output.Rocks

Example: "my-smtp"

metadata
object

Optional metadata to be used in webhooks

Example: {"reference":"my-reference-123","info":{"version":3,"type":"my-type"}}

staticAttachments
object[]

Optional PDF attachments. For document-only requests they are appended in this order; for email requests they are attached to every email.

data
object

Data to be used in rendered email, attachments, charts and webhooks.

Example: {"contract":{"email":"john.doe@output.rocks"},"invoiceNumber":"123456","invoiceDate":"12 March 2022","items":[{"qty":"3","ItemName":"ACP101 Accounting Package","amt":"1350.00"},{"qty":"4.5","ItemName":"ACP101S Standard Support","amt":"450.00"},{"qty":"10","ItemName":"ACP101T Online Training","amt":"1200.00"}]}